import { CSSProperties, PropsWithChildren } from 'react'
import defaultStyle from './style.module.scss'

interface ContainerProps {
  style?: CSSProperties
  className?: string
}

export const Container = ({
  style = {},
  className = '',
  children
}: PropsWithChildren<ContainerProps>) => {
  return (
    <div
      style={{
        ...style
      }}
      className={`${defaultStyle.container} ${className}`}
    >
      {children}
    </div>
  )
}
